using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.InteropServices;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp1
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            int n = int.Parse(s[0]);
            int l = int.Parse(s[1]);
            int[] v = Array.ConvertAll(Console.ReadLine().Split(),int.Parse);
            int p = -1;
            for (int i = 0; i < v.Length; i++) 
            {
                if (v[i] <= l)
                {
                    p = i + 1;
                    break;
                }
            }
            Console.WriteLine(p);
        }
    }
}